Latest version/build for windows 2008?
Question asked by Dave Beckstrom - 12/9/2019 at 12:59 PM
Answered
What is the latest version and build of smartermail that will run on a Windows 2008 server?  I'm going to be upgrading to that version of smartermail from version 7.4 running on a windows 2003 server.

4 Replies

Reply to Thread
0
Emily Ward Replied
Employee Post Marked As Answer
Hi Dave,

SmarterMail version 15.x is the last version that was supported on Windows 2008 (R2 64-bit).  You'll find the full system requirements listed here: http://help.smartertools.com/SmarterMail/v15/Topics/Installation/Requirements.aspx
Emily Ward
Customer Relations and Partner Specialist
SmarterTools Inc.
(877) 357-6278
www.smartertools.com
0
Dave Beckstrom Replied
Hi Emily,

The downloads for legacy are listed by build number not version.  What was the latest 15.x build number?

Can I install 15.x on a new server with it being fully functional on a trial to give me time to complete the upgrade/migration and then purchase a key for 15.x? My portal shows an option to "upgrade" and an option to "renew" and I'm not sure what I have to do. Essentially, I'm going to go from version 7.4 on the old server to 15.x on a new server and I want to do the cut-over off-hours with minimal down time.

Does 15.x support POP3?  All of my users are pop3 and moving them to IMAP is going to take some time.
0
Emily Ward Replied
Employee Post
Dave,

The build numbers refer to anything released December 2018 and later.  Last December we changed the naming convention from versions to builds, so Build 6911 (Dec 3, 2018) would have technically been version 17.x.  16.x and older are still referred to as version numbers.  So, you'll want to look past the builds listed on the downloads page.  You should find the .EXE for version 15.x on the bottom of page 3 or top of page 4.  

You can use a trial of 15.x on a new server for the migration and upgrade.  As for the license key, you can reinstate the Maintenance and Support on the 7.x key which will get it up to the latest build, but is backwards compatible so you would be able to use it on version 15.x.  

15.x does support POP connections.

You may want to reach out to us via email or phone when you are ready to get things moving, for pricing information and a trial key.  Just shoot us an email at sales@smartertools.com, or call us at 877-357-6278.
Emily Ward
Customer Relations and Partner Specialist
SmarterTools Inc.
(877) 357-6278
www.smartertools.com
1
Sébastien Riccio Replied
Windows 2008 server is end-of-life in January 2020. Maybe should you consider upgrading the OS and SmarterMail (to at least v16).

Some modern web browsers and mail clients will refuse to connect services with outdated SSL cyphers.

Just an example for chrome:

Reply to Thread